org.apache.cxf.interceptor

## Class StaxOutInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.StaxOutInterceptor

- All Implemented Interfaces:
    Interceptor<Message>, PhaseInterceptor<Message>

      public class StaxOutInterceptor
      extends AbstractPhaseInterceptor<Message>

  Creates an XMLStreamWriter from the OutputStream on the Message.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StaxOutEndingInterceptor` | `ENDING`
    `static String` | `FORCE_START_DOCUMENT`
    `static String` | `OUTPUT_STREAM_HOLDER`
    `static String` | `WRITER_HOLDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaxOutInterceptor()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XMLOutputFactory` | `getXMLOutputFactory(Message m)`
    `void` | `handleFault(Message message)` Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
    `void` | `handleMessage(Message message)` Intercepts a message.

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OUTPUT_STREAM_HOLDER

          public static final String OUTPUT_STREAM_HOLDER

    - #### WRITER_HOLDER

          public static final String WRITER_HOLDER

    - #### FORCE_START_DOCUMENT

          public static final String FORCE_START_DOCUMENT

      See Also:
        Constant Field Values

    - #### ENDING

          public static final StaxOutEndingInterceptor ENDING

  - ### Constructor Detail

    - #### StaxOutInterceptor

          public StaxOutInterceptor()

  - ### Method Detail

    - #### handleMessage

          public void handleMessage(Message message)

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

    - #### handleFault

          public void handleFault(Message message)

      Description copied from interface: `Interceptor`
      Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
      Specified by:
        `handleFault` in interface `Interceptor<Message>`
      Overrides:
        `handleFault` in class `AbstractPhaseInterceptor<Message>`

    - #### getXMLOutputFactory

          public static XMLOutputFactory getXMLOutputFactory(Message m)
                                                      throws Fault

      Throws:
        `Fault`

Apache CXF